Account

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET

List all account notes

Required API key scopes

account:read

Query parameters

  • account_id
    string
  • assigned_to
    array
  • created_by
    array
  • limit
    integer
  • offset
    integer
  • search
    string

Response


Example request

GET /api/projects/:project_id/account_notes
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/account_notes/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"short_id": "string",
"title": "string",
"created_at": "2019-08-24T14:15:22Z",
"last_modified_at": "2019-08-24T14:15:22Z",
"account_id": "449e7a5c-69d3-4b8a-aaaf-5c9b713ebc65",
"account_name": "string",
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "engineering"
}
}
]
}

Community questions